Skip to main content
GET
/
v1
/
invoices
List Invoices
curl --request GET \
  --url https://api.cadanapay.com/v1/invoices \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "0f6c2f8a-3d9b-4c57-9a41-8f2f6f7f1c33",
      "status": "Pending",
      "source": "PAYROLL",
      "type": "CONTRACTOR",
      "invoiceNumber": "1764332528",
      "from": "Ada Lovelace",
      "billTo": "Globex LLC",
      "personId": "9d2f7a44-1be3-4e28-8d40-63f19a7d5b8e",
      "userId": "b58725e6-fabc-4a1a-9e5f-31efdbdbc45f",
      "date": "2025-11-28",
      "datePayable": "2025-12-28",
      "subtotalAmount": [
        {
          "value": "800.00",
          "currency": "USD"
        }
      ],
      "totalAmount": [
        {
          "value": "800.00",
          "currency": "USD"
        }
      ]
    },
    {
      "id": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f",
      "status": "Paid",
      "source": "SYSTEM",
      "type": "MANUAL",
      "invoiceNumber": "1764332529",
      "from": "Acme Inc",
      "billTo": "Globex LLC",
      "date": "2025-11-28",
      "datePayable": "2025-12-28",
      "subtotalAmount": [
        {
          "value": "800.00",
          "currency": "USD"
        }
      ],
      "totalAmount": [
        {
          "value": "880.00",
          "currency": "USD"
        }
      ]
    }
  ],
  "node": {
    "next": "eyJ0ZW5hbnRLZXkiOnsiUyI6InRibDI4MTUzMjA4In0sInNvcnRLZXkiOnsiUyI6ImNhNTFmNDJjIn19"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Query Parameters

personId
string<uuid>

Only include invoices for this person (e.g. the contractor the invoice pays). Matches the personId field on the invoice.

userId
string<uuid>

Only include invoices belonging to this user

source
enum<string>

Filter by invoice origin, e.g. only contractor-submitted invoices (CONTRACTOR_SUBMITTED) or invoices auto-created from payroll (PAYROLL)

Available options:
SYSTEM,
USER,
REIMBURSEMENT,
PAYROLL,
CONTRACTOR_SUBMITTED
status
string

Filter by invoice status (case-insensitive), e.g. Pending, Processing, Paid, Partially Paid, Overdue, Cancelled

type
enum<string>

Filter by invoice type

Available options:
MANUAL,
PAYROLL,
CONTRACTOR
startDate
string<date>

Only include invoices with an invoice date on or after this date

endDate
string<date>

Only include invoices with an invoice date on or before this date

limit
integer
default:20

Maximum number of invoices to return per page (default 20)

cursor
string

Opaque pagination cursor from the previous page's node.next. Omit to start from the first page.

Response

A list of invoices

data
object[]
node
object

Pagination cursors